/*
 * MSGLINK.H - MsgLink header
 *
 * Msged/Q message editor for QuickBBS  Copyright 1990 by P.J. Muller
 *
 */

#include "qtypes.h"
#include "quickbbs.h"
#include "qmsgbase.h"

#ifdef MAIN
#  define global
#else
#  define global extern
#endif

#define PATHLEN 70

typedef struct {
	WORD crc;		/* crc */
	DWORD st;		/* time stamp */
} ID;

typedef struct {
	int no;			/* message number */
	BYTE area;		/* message area */
	ID EID;			/* EID */
	union {
	  ID RID;		/* reply EID */
	  WORD startrec;	/* Pointer into MSGTXT.BBS */
	} x;
	int up,down;		/* up/down message number link */
	int oup,odown;		/* existing up/down links */
	char *subj;		/* Subj line */
} MSGDATA;

/*
 * Global variables
 */

global char *bbspath="";	/* bbs path */
global int usernum=0;		/* user number for LASTREAD.BBS */
