/*
 * QMSGBASE.H - Message base functions
 *
 * Msged/Q message editor for QuickBBS  Copyright 1990 by P.J. Muller
 *
 */

/* Error codes for checkmsgbase() */

enum {CHK_NOERR, CHK_NONINC, CHK_COUNTS, CHK_HDR, CHK_TO};

char *expandbbs(char *fname);
int filemsg(int msgnum);
BOOLEAN writetoidx(int fmsg, char *to);
char *readtoidx(int fmsg);
BOOLEAN writemsgidx(int fmsg, int msgnum, BYTE board);
BOOLEAN incmsginfo(BYTE board);
BOOLEAN	msgat(BYTE board, int msgnum);
BOOLEAN	openmsgbase(void);
BOOLEAN closemsgbase(void);
BOOLEAN flushmsgbase(void);
BOOLEAN readheader(int msgnum, MSGHEADER *m);
BOOLEAN writeheader(MSGHEADER *hdr);
char *readtext(MSGHEADER *m);
int curmsg(BYTE board);
int lastreadmsg(BYTE board);
void setlastread(BYTE board, int msgnum);
void setcur(BYTE board, int msgnum);
int countmsg(BYTE board);
int firstmsg(BYTE board);
int lastmsg(BYTE board);
int msgnext(BYTE board, int cur);
int msgprev(BYTE board, int cur);
int newmsgnum(void);
BOOLEAN writemsgidx(int fmsg, int msgnum, BYTE board);
BOOLEAN writemsgtxthdr(MSGHEADER *hdr,  BOOLEAN oldmsg, char *textbuf);
char *readtoidx(int fmsg);
BOOLEAN writetoidx(int fmsg, char *to);
BOOLEAN msgdelete(int msgnum, BOOLEAN echomail, BOOLEAN netmail);
BOOLEAN writebase(MSGHEADER *header, BYTE board, char *textbuf,BOOLEAN echomail, BOOLEAN netmail);
DWORD dostime(char *t, char *d, BOOLEAN fudge);
int checkmsgbase(BYTE *board);

/* These globals are a special case for MsgLink */

extern IDXRECORD *msgidx;	/* MSGIDX.BBS */
extern int filemsgs;		/* length of index and header files */
