/*
 * VFOSSIL.H - Video Fossil functions
 *
 * Msged/Q message editor for QuickBBS  Copyright 1990 by P.J. Muller
 *
 */

typedef struct {
   int vfossil_size;
   int vfossil_major;
   int vfossil_revision;
   int vfossil_highest;
} VFOSSIL, *VFOSSILP;

typedef struct {
   int   cur_start;
   int   cur_end;
   int   cur_wid;
   int   cur_attr;
} CURSOR, *CURSORP;

#pragma warn -pro			/* no prototypes for these */

#define VioGetMode (*vfossil_funcs[0])
#define VioSetMode (*vfossil_funcs[1])
#define VioGetConfig (*vfossil_funcs[2])
#define VioWrtTTY (*vfossil_funcs[3])
#define VioGetANSI (*vfossil_funcs[4])
#define VioSetANSI (*vfossil_funcs[5])
#define VioGetCurPos (*vfossil_funcs[6])
#define VioSetCurPos (*vfossil_funcs[7])
#define VioGetCurType (*vfossil_funcs[8])
#define VioSetCurType (*vfossil_funcs[9])
#define VioScrollUp (*vfossil_funcs[10])
#define VioScrollDn (*vfossil_funcs[11])
#define VioReadCellStr (*vfossil_funcs[12])
#define VioReadCharStr (*vfossil_funcs[13])
#define VioWrtCellStr (*vfossil_funcs[14])
#define VioWrtCharStr (*vfossil_funcs[15])
#define VioWrtCharStrAtt (*vfossil_funcs[16])
#define VioWrtNAttr (*vfossil_funcs[17])
#define VioWrtNCell (*vfossil_funcs[18])
#define VioWrtNChar (*vfossil_funcs[19])
